Package Details: pipewire-jack-replacement 1.9.19-2.1

Git Clone URL: https://aur.archlinux.org/pipewire-jack-replacement.git (read-only, click to copy)
Package Base: pipewire-jack-replacement
Description: Use pipewire-jack as replacement for JACK (building headers + pkgconfig)
Upstream URL: https://github.com/jackaudio/headers/
Licenses: GPL2
Conflicts: jack2
Provides: jack, jack2, libjack.so=0-64, libjacknet.so=0-64, libjackserver.so=0-64
Replaces: jack2
Submitter: zitro
Maintainer: zitro
Last Packager: zitro
Votes: 0
Popularity: 0.000000
First Submitted: 2021-10-16 21:02
Last Updated: 2021-11-02 16:02

Required by (648)

Sources (2)

Latest Comments

dvzrv commented on 2021-10-19 08:50

@zitro: No, as the correct way to build is in a clean chroot and not by adding more hotglue for $AURhelper unable to build in a clean chroot (for a package requiring jack during build time and wanting to use pipewire-jack-dropin during runtime).

zitro commented on 2021-10-18 18:47

@dvzrv @pix3l This was meant to be a build replacement for a jack2 if you are using pipewire. But in case when jack2 or jack2-dbus is needed (cadence), this will NOT work for you. But, if you need to build a package (only using jack2 as makedepend and then using pipewire-jack-dropin for JACK) you could go with this.

dvzrv commented on 2021-10-17 08:43

@zitro: I wish you would have read my comment on pipewire-jack-dropin instead of just creating yet another dropin/replacement package that we will have to remove anyways...

pix3l commented on 2021-10-16 22:10


loading packages...
resolving dependencies...
looking for conflicting packages...
:: pipewire-jack-replacement and jack2 are in conflict (jack). Remove jack2? [y/N] y
error: failed to prepare transaction (could not satisfy dependencies)
:: removing jack2 breaks dependency 'jack2' required by jack2-dbus
:: removing jack2 breaks dependency 'jack2=1.9.19' required by lib32-jack2


pacman -R lib32-jack2 jack2-dbus
checking dependencies...
error: failed to prepare transaction (could not satisfy dependencies)
:: removing jack2-dbus breaks dependency 'jack2-dbus' required by cadence
:: removing lib32-jack2 breaks dependency 'lib32-jack' required by lib32-allegro
:: removing lib32-jack2 breaks dependency 'lib32-jack' required by lib32-allegro4
:: removing lib32-jack2 breaks dependency 'libjack.so=0-32' required by lib32-fluidsynth
:: removing lib32-jack2 breaks dependency 'lib32-jack2' required by lib32-gst-plugins-good
:: removing lib32-jack2 breaks dependency 'lib32-jack' required by lib32-libffmpeg
:: removing lib32-jack2 breaks dependency 'libjack.so=0-32' required by lib32-portaudio
:: removing lib32-jack2 breaks dependency 'lib32-jack' required by wineasio